Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective
Class RestorationManager

    java.lang.Object
      org.flexdock.perspective.RestorationManager

    public class RestorationManager

extends Object

Author:
  Christopher Butler

Method Summary
`void` | `addHandler(RestorationHandler handler)`
`static RestorationManager` | `getInstance()`
`static Component` | `getRestoreContainer(Dockable dockable)`
`static RootWindow` | `getRestoreWindow(Dockable dockable)`
`boolean` | `removeHandler(RestorationHandler handler)`
`boolean` | `restore(Dockable dockable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RestorationManager getInstance()

### addHandler

    public void addHandler(RestorationHandler handler)

### removeHandler

    public boolean removeHandler(RestorationHandler handler)

### restore

    public boolean restore(Dockable dockable)

### getRestoreWindow

    public static RootWindow getRestoreWindow(Dockable dockable)

### getRestoreContainer

    public static Component getRestoreContainer(Dockable dockable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD